[Buildroot] QtWebEngine on RPI 0 W

rscr rafacrespiramon at gmail.com
Wed Feb 5 13:20:39 UTC 2020


> Hi again,
>
> I have tested the QtWebEngine with a qt example and I got:
>
> # ./minimal -platform eglfs
> Illegal instruction
>
> Any idea of what could be causing it?
>
>Hard to say without further information..., did your compile
>minimal yourself or did you enable 'BR2_PACKAGE_QT5BASE_EXAMPLES=y'
>and used the one installed as
'/usr/lib/qt/examples/webenginewidgets/minimal/minimal'
>on the target?

I had enabled 'BR2_PACKAGE_QT5BASE_EXAMPLES=y' and I have used the one in
'/usr/lib/qt/examples/webenginewidgets/minimal/minimal'

Result of 'file minimal':

minimal: ELF 32-bit LSB executable, ARM, EABI5 version 1 (SYSV), dynamically
linked, interpreter /lib/ld-, for GNU/Linux 4.19.0, stripped

I have no problems running other samples like the qtvirtualkeyboard or touch
ones


>Please provide a complete .config (or defconfig) file...

Here my defconfig:  cp4_defconfig.cp4_defconfig
<http://buildroot-busybox.2317881.n4.nabble.com/file/t2824/cp4_defconfig.cp4_defconfig>  


>Still using buildroot-2019.02.09?

Yes

>Regards,
>Peter

Kind Regards, 

Rafa




--
Sent from: http://buildroot-busybox.2317881.n4.nabble.com/


More information about the buildroot mailing list